#!/bin/sh
#
# Version 0.03 - JF Nutbroek 2007
#

setterm -background blue
clear

echo "##### WARNING - INSTALLATION OF BOOTLOADER #####"
echo ""
echo "Install bootloader to harddisc? (yes or no)" 
read answer
if [ "$answer" = "yes" ]; then 
 echo "Please enter the boot partition (for example /mnt/hda1)"
 read INSTALLDRV 
 echo "Bootloader will be installed on $INSTALLDRV - continue? (yes or no)"
 read answer
 if [ "$answer" = "yes" ]; then
  PART="`echo \"$INSTALLDRV\" | sed -r \"s/mnt/dev/g\"`"
  BOOT="`echo \"$PART\" | sed -r \"s/[0-9]+\\\$//\"`"
  TMPDIR="/etc"
echo "boot=$BOOT
compact
lba32
image=/boot/vmlinuz
	label=slax
	root=$PART
	vga=769
	read-only 
	append = \"slax noguest\"
" >$TMPDIR/lilo.conf
/sbin/lilo -C $TMPDIR/lilo.conf -m $TMPDIR/lilo.map -s $TMPDIR/origmbr 
 echo "Installation completed - please enter the command: reboot"
 echo "which will reboot the server (remove the USB-stick or CD-ROM)"
  else
   echo "Installation halted" 
  fi 
else
 echo "Installation halted"
fi

setterm -background black
exit 0