#!/bin/sh
#
# Version 0.03 - JF Nutbroek 2007
#

setterm -background blue
clear

echo "##### WARNING - INSTALLATION TO HARDDISC #####"
echo ""
echo "Please partition and format the harddisc first"
echo "Use (example only!): cfdisk /dev/hda"
echo "and create 2 primary partitions, one for Linux one for swap"
echo "The Linux partition must have the flag bootable set"
echo "Reboot if required"
echo "Then (example only!): mkfs.reiserfs /dev/hda1"
echo "mount /dev/hda1 /mnt/hda1"
echo "and finally (example only!): mkswap /dev/hda2"
echo ""
echo "CONTINUE WILL RESULT IN DATALOSS ON SELECTED HARDDISC!"
echo ""
echo "Install SLAX to harddisc? (yes or no)" 
read answer
if [ "$answer" = "yes" ]; then 
 echo "Please enter the partition (for example /mnt/hda1)"
 read INSTALLDRV 
 echo "All data will be lost on $INSTALLDRV - continue? (yes or no)"
 read answer
 if [ "$answer" = "yes" ]; then
  CONTENT=`ls $INSTALLDRV`   
  if [ "$CONTENT" = "" ]; then
   echo "No data on $INSTALLDRV"
  else
   echo "Deleting all data on $INSTALLDRV" 
   rm -R $INSTALLDRV/*  
  fi 
  echo "Creating copy... please wait"
  cp --preserve -R /{bin,dev,etc,home,lib,root,sbin,usr,var,opt} $INSTALLDRV 
  mkdir $INSTALLDRV/{boot,mnt,proc,sys,tmp} 
  if [ -f /boot/vmlinuz ]; then
   cp /boot/vmlinuz $INSTALLDRV/boot 
  else
   cp /boot/boot/vmlinuz $INSTALLDRV/boot 
  fi
  mount -t proc proc $INSTALLDRV/proc 
  mount --bind /dev $INSTALLDRV/dev 
  sync
  echo "Copy completed!" 
  echo ""
  echo "Please enter the command: sh installliloslax.sh"
  echo "to install the Linux bootloader and complete the installation"
  cd $INSTALLDRV
  chroot $INSTALLDRV
  else
   echo "Installation halted" 
  fi 
else
 echo "Installation halted"
fi

setterm -background black
exit 0